db-derby-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Daniel John Debrunner <...@debrunners.com>
Subject [PATCH] - Change engine data dictionary version to 10.1
Date Mon, 11 Apr 2005 19:57:22 GMT
This is a simple patch to change the data dictionary (system catalog)
version to a new value for 10.1 on the trunk. This is to allow progress
to be made on supporting upgrade in a 10.1 release from a 10.0 database.

This will make a 10.1 build not able to read a database that was
previously written with a 10.1 build before this change, but hopefully
folks have been mindful of the warnings on the downloads page. Namely:

> The development trunk is not suitable for production use because:

>    * It may create on-disk database formats that are not upgradable to
future releases of Derby. Databases created by official Derby releases
will be upgradable to future versions.

I'll commit the patch in a few days if there are no objections.

Dan.

Mime
View raw message